Get Offer Deals
curl --request GET \
--url https://api.eflow.team/v1/affiliates/offers/{offerId}/deals \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/affiliates/offers/{offerId}/deals"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/affiliates/offers/{offerId}/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deals": [
{
"network_advertiser_deal_id": 123,
"name": "<string>",
"deal_type": "<string>",
"deal_status": "<string>",
"deal_categories": [
"<string>"
],
"network_id": 123,
"description": "<string>",
"brand_name": "<string>",
"scope": "<string>",
"restrictions": "<string>",
"coupon_code": "<string>",
"coupon_code_discount_amount": 123,
"coupon_code_discount_percentage": 123,
"coupon_code_discount_currency_id": "<string>",
"threshold_amount": 123,
"threshold_amount_currency_id": "<string>",
"threshold_quantity": 123,
"purchase_limit_amount": 123,
"purchase_limit_amount_currency_id": "<string>",
"purchase_limit_quantity": 123,
"date_valid_from": "2023-11-07T05:31:56Z",
"date_valid_to": "2023-11-07T05:31:56Z",
"date_valid_timezone_id": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"time_deleted": 1734455015,
"relationship": {}
}
]
}Deals
Get Offer Deals
GET
/
affiliates
/
offers
/
{offerId}
/
deals
Get Offer Deals
Returns all deals associated with a specific offer. Deals include coupon codes, discount information, brand partnerships, and validity periods. Only returns deals for offers the affiliate is authorized to view.
Authorizations
The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.
Path Parameters
The numeric ID of the offer.
Response
200 - application/json
Array of deals for the specified offer.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
